CREATE TABLE bundles (
    id INTEGER PRIMARY KEY,
    encrypted BOOLEAN NOT NULL DEFAULT FALSE,
    expires DATETIME DEFAULT NULL
);
INSERT INTO bundles (id) VALUES (-2147483648);
DELETE FROM bundles WHERE id=-2147483648;

CREATE TABLE files (
    id INTEGER PRIMARY KEY,
    bundle INTEGER NOT NULL,
    name TEXT NOT NULL,
    mime TEXT NOT NULL
);
INSERT INTO files (id, bundle, name, mime) VALUES (-2147483648, 0, "file.txt", "text/plain");
DELETE FROM files WHERE id=-2147483648;

CREATE TABLE links (
    shortid TEXT PRIMARY KEY,
    target TEXT NOT NULL,
    encrypted BOOLEAN NOT NULL DEFAULT FALSE
);
